Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::StringParam Class Reference

`#include <params.h>`

Inheritance diagram for tesseract::StringParam:

List of all members.

## Public Member Functions

| StringParam (const char *value, const char *name, const char *comment, bool init, ParamsVectors *vec)
| ~StringParam ()
| operator STRING & ()
const char * | string () const
bool | empty ()
void | set_value (const STRING &value)
Public Member Functions inherited from tesseract::Param
| ~Param ()
const char * | name_str () const
const char * | info_str () const
bool | is_init () const
bool | is_debug () const
bool | constraint_ok (SetParamConstraint constraint) const

## Additional Inherited Members

Protected Member Functions inherited from tesseract::Param
| Param (const char *name, const char *comment, bool init)
Protected Attributes inherited from tesseract::Param
const char * | name_
const char * | info_
bool | init_
bool | debug_

## Detailed Description

Definition at line 176 of file params.h.

## Constructor & Destructor Documentation

tesseract::StringParam::StringParam | ( | const char * | value,
|  | const char * | name,
|  | const char * | comment,
|  | bool | init,
|  | ParamsVectors * | vec
| ) |  |

inline

Definition at line 178 of file params.h.

: Param(name, comment, init) {
value_ = value;
params_vec_ = &(vec->string_params);
vec->string_params.push_back(this);
}

tesseract::StringParam::~StringParam | ( |  | ) |

inline

Definition at line 185 of file params.h.

{ ParamUtils::RemoveParam<StringParam>(this, params_vec_); }

## Member Function Documentation

bool tesseract::StringParam::empty | ( |  | ) |

inline

Definition at line 188 of file params.h.

{ return value_.length() <= 0; }

tesseract::StringParam::operator STRING & | ( |  | ) |

inline

Definition at line 186 of file params.h.

{ return value_; }

void tesseract::StringParam::set_value | ( | const STRING & | value | ) |

inline

Definition at line 189 of file params.h.

{ value_ = value; }

const char* tesseract::StringParam::string | ( |  | ) | const

inline

Definition at line 187 of file params.h.

{ return value_.string(); }

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/params.h